package com.njzscloud.common.security.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：auth_way
 * 字典名称：登录方式
 */
@Getter
@RequiredArgsConstructor
public enum AuthWay implements DictStr {
    ANONYMOUS("Anonymous", "匿名登录"),
    PASSWORD("Password", "账号密码登录"),
    PHONE("Phone", "手机验证码登录"),
    WECHAT("Wechat", "微信登录"),
    WECHAT_MINI("WechatMini", "微信小程序登录"),
    ;

    private final String val;
    private final String txt;
}
